//============================
//    Name: Index.html
//    Desc: Main page
//============================

 
hello {
	+__() {
		.section--background {
			background-size cover
			background-position center center
			background-image linear-gradient(to right bottom, #2642db 0%, #1be7f7 100%)
			&:before {
				content: '';
				display: grid;
				font-size: 1rem;
				line-height: 1;
				text-align: center;
				position: absolute;
				top: 0;
				left: 0;
				transform: translate(-25%, 0%);
				@extend $glass-top
			}
			&:after {
				content: '';
				display: grid;
				font-size: 1rem;
				line-height: 1;
				text-align: center;
				position: absolute;
				bottom: 0;
				right: 0;
				transform: translate(50%, 0%);
				@extend $glass-bottom
			}
		}
		.container {
			display: grid;
			grid: auto/1fr;
			max-width: 1300px;
			min-height: 100vh;
			width: 100vw;
			height: auto;
			margin: auto;
			position: relative;
			z-index: 1;
			padding: 2rem;
			
		}
		.row {
			display: grid;
			grid: auto \/ repeat(auto-fit, minmax(31rem, 1fr));
			place-items: center stretch;
			gap: 1rem
		}
		.h1 {
			color: $$white
			text-transform uppercase
			display: grid;
			grid: auto / 1fr;
			text-align center
		}
		.h1-span:nth-of-type(1) {
			font-size: 6rem;
			padding-bottom 3rem;
		}
		.h1-span:nth-of-type(2) {
			font-size: 2rem;
		}
		.h1-span:nth-of-type(3) {
			font-size: 1.77rem;
		}
	}
}

preform {
	+__() {
		.container {
			display: none;
			grid: auto/1fr;
			place-items: center center;
			gap: 2rem;
		}
	}
}


brief {
	+__() {
		.container {
			display: none;
			overflow hidden
			grid: auto minmax(1rem, 30rem) auto \/1fr;
			gap 2rem
			max-width: 38rem;
			height: 40rem;
			padding 1.7rem 2rem
			margin: auto;
			border: 1px solid #dadce0;
			border-radius: .7rem .7rem .7rem .7rem;
			transition: border .15s cubic-bezier(0.4,0.0,0.2,1),
			box-shadow .15s cubic-bezier(0.4,0.0,0.2,1);
			background-color $$white
			transition .25s __cubic
			&:hover {
				box-shadow: 0 1px 2px 0 rgba(60,64,67,0.302),
				0 2px 6px 2px rgba(60,64,67,0.149);
				border: 1px solid #0000;
			}
		}
		.row {
			display: grid;
			grid: auto / 1fr;
			gap: 1rem 3rem;
			place-items: start stretch;
			position: relative;
		}
		.title {
			display: grid;
			justify-content: start;
		}
		.title-small {
			display: grid;
			grid: auto 0/1fr;
		}
		.item {
			display: grid;
		}
		.item--center {
			place-items: center;
		}
		.label {
			padding-bottom .4rem
			text-transform uppercase
			user-select none
			cursor pointer
			font-weight 700
		}
		.input {
			border: 2px solid #0000;
			border-radius: 4px;
			background-color: #ededed;
			padding: 0.4rem 0.8rem;
			font-weight: 700;
			transition .25s __cubic
			&:hover {
				box-shadow: __shadowHover;
				background-color: #ddd;
				border: 2px solid #0000;
			}
			&:focus {
				box-shadow: __shadowInput;
			}
		}
		.lodash {
			opacity: 0;
			height: 2px;
			transform-origin: center;
			font-size: 0;
			display: grid;
			transform: scaleX(0) translateY(-2px);
			background: #1a73e8;
			transition: 0.25s cubic-bezier(0.4, 0, 0.2, 1);
		}
		.lodash--red {
			transition .25s __cubic
			border-bottom: 2px solid $$red;
			margin-bottom: -2px;
		}
		.span-numb {
			display: grid;
			grid: auto/2fr 1fr;
			gap: 1rem;
			text-align right
		}
		.span-selectall {
			&:hover {
				color: $$blue
				transition .25s __cubic
				cursor pointer
				user-select none
			}
		}
	}
}

brief-title {
	+__() {
		.container {
			display: grid;
			justify-content: start;
		}
		.hr {
			display: grid;
			height: 5px;
			border: 0;
			background-color: #2073E6;
			transition .25s __cubic
			width 100%
		}
	}
}
 
brief-group {
	+__() {
		.container {
			display: grid;
			grid: auto \/ repeat(auto-fit, minmax(1rem, 1fr));
		}
		.row {
			display: grid;
		}
		.item {
			display none
		}
	}
}

brief-group-a {
	+__() {
		.top img {
			x = rgba(60,64,67,0.302);
			y = rgba(60,64,67,0.149);
			transition .25s __cubic
			box-shadow: 0 1px 2px 0 x, 0 2px 6px 2px y;
			&:hover {
				box-shadow: 0 2px 4px 0 x, 0 4px 9px 4px y;
			}
		}
		.container {
			display: none;
			grid: 1fr auto auto \/1fr;
			gap: 1rem;
		}
		.text {
			max-height: 14rem;
			overflow: hidden;
		}
		.text-title {
			font-weight 700
		}
		.nav {
			display: grid;
			grid: auto \/ repeat(auto-fit, minmax(16rem, 1fr));
			gap 1rem
		}
		.title {
			display: grid;
			justify-content: start;
		}
		.hr {
			@extend .brief-title__hr
			animation unset
			height 2px
		}
 
		.radio[type="radio"] {
			visibility hidden
			width 0
			height 0
			font-size 0
		}
		.label {
			x = 1.5rem
			@extend .brief__label
			margin-left x
			position relative
			&:before {
				content: '';
				display: grid;
				width: 1rem;
				height: 1rem;
				font-size: 1rem;
				line-height: 1;
				text-align: center;
				background-color: $$null;
				border 1px solid #ccc
				position: absolute;
				left - x
			}
			&:hover {
				transition .25s __cubic
				color: lighten($$blue, 15)
			}
		}
	}
}

brief-group-b {
	+__() {
		.container {
			display: none;
			grid: auto repeat(4, 1fr)/1fr;
			gap: 1rem;
		}
		.chebox[type="checkbox"] {
			visibility hidden
			width 0
			height 0
			font-size 0
		}
		.label {
			@extend .brief-group-a__label
			display: grid;
			grid: auto 1fr / 1fr;
			gap .4rem
			&:before {
				border-radius 0%
			}
		}
		.span {
			font-size: 0.9rem;
			font-weight: 400;
			text-transform: none;
		}
		.span-name {
			font-weight 700
			font-size 1rem
			text-transform uppercase
		}
		.title {
			display: grid;
			justify-content: start;
			grid: auto / auto 2fr 1fr;
			place-items: end;
		}
	}
}

brief-group-c {
	+__() {
		.container {
			display none
			grid: auto 1fr /1fr;
			gap: 1rem;
		}
		.row {
			display: grid;
			grid: auto \/ repeat(auto-fit, minmax(8rem, 1fr));
			text-align center
			gap 1rem
		}
		.chebox[type="checkbox"] {
			visibility hidden
			width 0
			height 0
			font-size 0
		}
		.span-text {
			font-size .8rem
			font-weight normal
		}
		.label {
			display: grid;
			grid: auto / 1fr;
			gap: 0rem;
			&:hover {
				transition .25s __cubic
				box-shadow: 0 1px 2px 0 rgba(60,64,67,0.302), 0 2px 6px 2px rgba(60,64,67,0.149);
				border-radius: 1rem 1rem 1rem 1rem;
			}
			&:active {
				transition .15s __cubic
				box-shadow: 0 14px 40px 0 rgba($$blue, .40), 0 20px 60px 2px rgba($$blue, .20);
				border-radius: 1rem 1rem 1rem 1rem;
			}
		}
	}
}

brief-group-d {
	+__() {
		.container {
			display: none;
			grid: auto \/ 1fr;
			place-items: start stretch;
			gap: 1rem;
		}
		.row {
			display: grid;
			grid: auto \/ 1fr;
			gap 1rem
			max-height: 27rem;
		}
		.item {
			display: grid;
			grid: auto \/ 1fr 2fr;
			gap 1rem
			place-items: start stretch;
		}
	}
}

brief-group-e {
	+__() {
		.container {
			display: none;
			grid: auto \/ 1fr;
			place-items: start stretch;
			gap: 1rem;
		}
		.row {
			display: grid;
			grid: auto/1fr;
			place-items: start stretch;
			gap: 1rem;
		}
		.chebox {
			visibility hidden
			width 0
			height 0
			font-size 0
		}
		.label {
			@extend .brief-group-a__label
			display: grid;
			grid: auto / 1fr;
			gap .4rem
			font-size: 0.8rem;
		}
 
	}
} 



brief-price {
	+__() {
		.title {
			font-weight 700
			font-size 1.2rem
		}
		.item--final {
			font-size 2rem
			color: $$red
			font-weight 700
			display: grid;
		}
		.selected {
			background-color: #1a73e817;
			width: 100%;
			padding: 1rem 2rem;
			border-radius: 0.7rem 0.7rem 0.7rem 0.7rem;
			&:hover {
				transition .25s __cubic
				box-shadow: 0 1px 2px 0 rgba(60,64,67,0.302), 0 2px 6px 2px rgba(60,64,67,0.149);
				border-radius: 1rem 1rem 1rem 1rem;
			}
		}
	}
}

brief-nav {
	+__() {
		.container {
			display: grid;
			grid: auto \/ auto 1fr auto;
			place-items: center stretch;
			gap: 1rem;
		}
		.dots {
			display: grid;
			grid: auto \/ repeat(auto-fit, minmax(2rem, 1fr));
			place-items: center center;
			user-select none
		}
		.dot {
			display: grid;
			width 0.8rem
			height 0.8rem
			background-color #ccc
			border-radius 100%
		}
	}
}


solution {
	+__() {
		.section--background {
			background-size: cover;
			background-position: center center;
			background-repeat: no-repeat;
			background-color: #fff;
		}
		.container {
			display: grid;
			grid: auto \/ repeat(auto-fit, minmax(1rem, 1fr));
			max-width: 1300px;
			width: 100vw;
			height: 100%;
			margin: auto;
			padding 10rem 0
		}
		.row {
			display: grid;
			place-items: center stretch;
			grid: auto \/ repeat(auto-fit, minmax(26rem, 1fr));
			gap 1rem
		}
		.item {
			display: grid;
			text-align: center;
			place-items: center;
			gap 1rem
		}
	}
}



info {
	+__() {
		.section--background {
			background-size: cover;
			background-position: center center;
			background-repeat: no-repeat;
			background-color: #0000;
			background-image: linear-gradient(to right bottom, #2642db 0%, #1be7f7 100%);
		}
		.container {
			display: grid;
			grid: auto \/ repeat(auto-fit, minmax(1rem, 1fr));
			max-width: 992px;
			width: 100vw;
			height: 100%;
			margin: auto;
			padding 10rem 0
		}
		.row {
			display: grid;
			place-items: center stretch;
			gap 3rem
		}
		.item-block {
			display: grid;
			grid: auto \/ 1fr 2fr;
			gap 4rem
		}
		.item-text {
			font-size 1.4rem
			color: $$white
			place-items: center center;
			display: grid;
		}
	}
}




promo {
	+__() {
		.section--background {
			background-size: cover;
			background-position: center center;
			background-repeat: no-repeat;
			background-color: #ddd;
		}
		.container {
			display: grid;
			grid: auto \/ repeat(auto-fit, minmax(1rem, 1fr));
			max-width: 768px;
			width: 100vw;
			height: 100%;
			margin: auto;
			padding 10rem 0
		}
		.row {
			display: grid;
			place-items: center stretch;
		}
		.item p {
			font-size 1rem
		}
	}
}














/* ==== HEADER ==== */
hdr {
	+__() {
		.fixed {
			position: fixed;
			left: 0;
			width: 100%;
			top: 0;
			z-index: 3;
			margin: auto;
			+media(425) {
				position fixed
			}
		}
		.section--background {
			background-size cover
			background-position center center
			background-color $$null
		}
		.container {
			display: grid;
			grid: auto \/repeat(auto-fit, minmax(25rem, auto));
			gap: 0 2rem;
			align-items: center;
			justify-content: space-between;
			max-width 1300px
			margin auto
			& a {
				color: $$white
			}
			+media(1266) {
				padding: 0 1rem;
				gap: 0.3rem
				justify-content: start;
			}
		}
		.logo {
			+media(1266) {
				grid-column: 1/4
			}
			+media(425) {
				display none
			}
		}
		.logo-p {
			font-size 1.1rem
			color: $$white
		}
		.social {
			display: grid;
			grid: auto \/ repeat(3, auto)
			align-items: center;
			justify-content: end;
			gap: 1rem;
			+media(1266) {
				justify-content: start;
			}
			+media(833) {
				grid-column: 1/4;
			}
			+media(424) {
				grid: auto auto \/ 1fr;
			}
		}
		.links-item {
			&:hover:nth-child(-n+3) {
				transform: rotate(-7deg);
				+media(424) {
					transform: unset
				}
			}
			&:active {
				transform translate(0, 4px)
			}
		}
		.phone {
			display: grid;
			grid: auto \/ auto auto;
			align-items: center;
			justify-content: end;
			gap: 0 1rem
			+media(833) {
				justify-content: start;
			}
			+media(424) {
				grid: auto auto \/ 1fr;
			}
		}
		.phone-href {
			display: grid;
			grid auto \/ auto 1fr
			align-items: center;
			gap: 0 .4rem
		}
		.phone-p {
			font-size 1.1rem
			color: $$white
		}
		.phone-cyrcle {
			display: grid;
			align-items: center;
			justify-content: center;
			width 40px
			height 40px
			background-color $$blue
			border-radius 100%
		}
		.menu {
			display none
			user-select none
			+media(425) {
				display: grid;
				grid repeat(3, 1fr) / 1fr
				gap: .5rem 0
				position fixed
				right 1rem
				top 1rem
				transition .25s __cubic
				&:hover {
					cursor pointer
				}
			}
		}
		.menu-line {
			width: 2rem;
			height: .25rem;
			display: grid;
			background: $$blue;
			border-radius: 1rem 1rem 1rem 1rem;
			transition .25s __cubic
		}
		.menu--background {
			+media(425) {
				background: #0000;
				padding: 0 1rem 2rem;
				margin-top -100%
				transition .25s __cubic
			}
		}
	}
}
/* ==== ----- ==== */
 


/* ==== HEADER ==== */
ftr {
	+__() {
		.section--background {
			background-size: cover;
			background-position: center center;
			background-repeat: no-repeat;
			background-color: $$dark;
		}
		.container {
			display: grid;
			grid: auto \/ 1fr;
			max-width: 1300px;
			width: 100vw;
			height: 100%;
			margin: auto;
			gap 1rem
			padding 5rem 0 0
		}
		.row {
			display: grid;
			place-items: center stretch;
			gap 1rem
		}
		.block {
			display: grid;
			grid: auto \/ repeat(auto-fit, minmax(16rem, 1fr));
			place-items: baseline stretch;
			gap 1rem
		}
		.block-2 {
			display: grid;
			grid: auto \/ repeat(auto-fit, minmax(16rem, 1fr));
			place-items: center stretch;
			gap 1rem
			margin auto
		}
		.item-title {
			color: $$white
		}
		.item-text {
			color: #aaa
		}
 
	}
}
/* ==== ----- ==== */

 



scrollup {
	+__() {
		.section--background {
			background-size cover
			background-position center center
			background-color #ddd
		}
		.container {
			display: grid;
			grid-template-rows: auto;
			grid-template-columns: auto;
			position: fixed;
			bottom: 5%;
			right: 5%;
			width 3rem
			height 3rem
			transition .25s __cubic
			cursor pointer
			&:hover {
				background-color $$white
				border-radius 100%
			}
		}
	}
}